// Показываем или нет поле ввода пароля при авторизации
/*$('body').off('change', 'form[name="form_autorization"] select[name="user_id"]');
$('body').on('change', 'form[name="form_autorization"] select[name="user_id"]', function() {
	var s=$('form[name="form_autorization"] select[name="user_id"] option:selected').attr('password');
	if(s==1) {
		$('form[name="form_autorization"] .password_line').show();
	}
	else {
		$('form[name="form_autorization"] .password_line').hide();
	}
});*/

// Принудительная авторизация
$('body').off('click', '.forcibly');
$('body').on('click', '.forcibly', function(){
	close_all_window();
	$('form[name="form_autorization"] input[name="forcibly"]').val(1);
	$('form[name="form_autorization"]').submit();
});

if($('form[name="form_autorization"]').length>0) {
	$(document).keydown(function(){
		if($('form[name="worker_walk_form"]').length>0) {
			$('form[name="worker_walk_form"] input[name="barcode"]').focus();
			return;
		}
		$('input[name="user_pass"]').focus();
	});
}

if($('.new_version_alert').length>0) {
	$.ajax({
        url: '/api/new_version',
        type: 'GET',
        dataType: "json",
        success: function(res) {
        	if(res.success) {
        		$('#new_version_id').html(res.version.version);
        		$('.new_version_alert').show();
        	}
    	}
 	});
}